ru.bitel.bgbilling.modules.rurupay.server.bean

## Class PaymentLogDao

- java.lang.Object
- - ru.bitel.bgbilling.modules.rurupay.server.bean.PaymentLogDao

-     public class PaymentLogDao
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_PAYMENT_COMMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaymentLogDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `carryOutPayment(ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry paymentEntry, Preferences moduleSetup)` Проведение платежа.
    `ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry` | `getByOrder(java.lang.String order)` Получение записи из БД по номеру заказа.
    `Result<ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry>` | `getList(Period period, Page page, int cid, int statusmask)` Список платежей.
    `void` | `updateLogEntry(ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry entry)` Добавление платежа в лог.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PAYMENT_COMMENT

          public static java.lang.String DEFAULT_PAYMENT_COMMENT

  - ### Constructor Detail

    - #### PaymentLogDao

          public PaymentLogDao(java.sql.Connection con,
                               int mid)

  - ### Method Detail

    - #### getList

          public Result<ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry> getList(Period period,
                                                                                        Page page,
                                                                                        int cid,
                                                                                        int statusmask)
                                                                                 throws ru.bitel.bgbilling.common.BGException

      Список платежей.
      Parameters:
        `period` - период-фильтр. Может быть null, тогда не искользуется.
        `page` - пагинация. Может быть null (тогда и кол-во найденных записей не возьмётся).
        `cid` - договор-фильтр. Может быть -1, тогда не используется.
        `status` - маска статусов которые надо выбрать
      Returns:
        возвращается Result.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getByOrder

          public ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry getByOrder(java.lang.String order)
                                                                            throws ru.bitel.bgbilling.common.BGException

      Получение записи из БД по номеру заказа. Проверки по cid дополнительной нет, т.к. order содержит и так cid.
      Parameters:
        `order` - ид заказа
      Returns:
        запись о платеже, или null если платежа с таким номером заказа нету.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateLogEntry

          public void updateLogEntry(ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry entry)
                              throws ru.bitel.bgbilling.common.BGException

      Добавление платежа в лог. Если есть уже в логе с таким ИД, то обновляется.
      Parameters:
        `entry` - запись для добавления заполненная.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### carryOutPayment

          public void carryOutPayment(ru.bitel.bgbilling.modules.rurupay.common.PaymentEntry paymentEntry,
                                      Preferences moduleSetup)
                               throws ru.bitel.bgbilling.common.BGException

      Проведение платежа. Проверяется, чтобы статус у переданного был OK. Используется в экзекутере.
      Throws:
        `ru.bitel.bgbilling.common.BGException`